Package ghidra.trace.database.program

# Class DBTraceProgramViewReferenceManager

java.lang.Object
ghidra.trace.database.program.AbstractDBTraceProgramViewReferenceManager
ghidra.trace.database.program.DBTraceProgramViewReferenceManager

All Implemented Interfaces:
  `ReferenceManager`

public class DBTraceProgramViewReferenceManager extends AbstractDBTraceProgramViewReferenceManager

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.program.AbstractDBTraceProgramViewReferenceManager

  `code, program, refs, refsManager`

  ### Fields inherited from interface ghidra.program.model.symbol.ReferenceManager

  `MNEMONIC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceProgramViewReferenceManager(DBTraceProgramView program)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TraceCodeOperations`
  `getCodeOperations(boolean createIfAbsent)`
  `protected TraceReferenceOperations`
  `getReferenceOperations(boolean createIfAbsent)`

  ### Methods inherited from class ghidra.trace.database.program.AbstractDBTraceProgramViewReferenceManager

  `addExternalReference, addExternalReference, addExternalReference, addMemoryReference, addOffsetMemReference, addReference, addRegisterReference, addShiftedMemReference, addStackReference, any, chooseLifespan, collect, delete, getExternalReferences, getFlowReferencesFrom, getPrimaryReferenceFrom, getReference, getReferenceCountFrom, getReferenceCountTo, getReferenceDestinationCount, getReferenceDestinationIterator, getReferenceDestinationIterator, getReferencedVariable, getReferenceFromComparator, getReferenceIterator, getReferenceIteratorForSnap, getReferenceLevel, getReferencesFrom, getReferencesFrom, getReferenceSourceCount, getReferenceSourceIterator, getReferenceSourceIterator, getReferencesTo, getReferencesTo, getRefLevel, hasFlowReferencesFrom, hasReferencesFrom, hasReferencesFrom, hasReferencesTo, removeAllReferencesFrom, removeAllReferencesFrom, removeAllReferencesTo, removeAssociation, setAssociation, setPrimary, updateRefType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBTraceProgramViewReferenceManager

    public DBTraceProgramViewReferenceManager(DBTraceProgramView program)

- ## Method Details

  - ### getReferenceOperations

    protected TraceReferenceOperations getReferenceOperations(boolean createIfAbsent)
    Specified by:
      `getReferenceOperations` in class `AbstractDBTraceProgramViewReferenceManager`

  - ### getCodeOperations

    protected TraceCodeOperations getCodeOperations(boolean createIfAbsent)
    Specified by:
      `getCodeOperations` in class `AbstractDBTraceProgramViewReferenceManager`